Kelebek = gideros.class(Sprite)

function Kelebek:init(x,y, scale1, scale2)
	self.bitmap = Bitmap.new(TextureRegion.new(Texture.new("gfx/menu/kel1.png", true)))	
	
	self.scale1 = scale1
	self.scale2 = scale2
	
	self.kanat = {}
	self.kanat[1] = Bitmap.new(TextureRegion.new(Texture.new("gfx/menu/kanat2.png", true)))	
	self.kanat[2] = Bitmap.new(TextureRegion.new(Texture.new("gfx/menu/kanat1.png", true)))		
	
	self.kanat[1]:setX(55)
	self.kanat[2]:setX(-15)

	self:setScaleX(scale1)
	self:setScaleY(scale1)

	self:addChild(self.kanat[1])
	self:addChild(self.kanat[2])
	self:addChild(self.bitmap)	
	
	self:setX(x)
	self:setY(y)
	
	self.kanat[2]:setVisible(false)	

	self:addEventListener(Event.ADDED_TO_STAGE, self.onAddedToStage, self)	
	self:addEventListener(Event.REMOVED_FROM_STAGE, self.onRemovedFromStage, self)	
	
	self.animationOn = false
	self.selected = 1
	self.count = 1
	
	self.x = -1
	self.y = -1
	
	self.count1 = 0
	
	self.t = 0.001
	self.sound = Sound.new("sound/found2.wav")
end

function Kelebek:onAddedToStage()
	self:addEventListener(Event.ENTER_FRAME, self.onEnterFrame, self)
	self:addEventListener(Event.MOUSE_DOWN, self.onMouseDown, self)	

end

function Kelebek:onRemovedFromStage()
	self:removeEventListener(Event.ENTER_FRAME, self.onEnterFrame, self)
end	


function Kelebek:onEnterFrame(event)
	if self.animationOn then
		self:setX(self.x + self:getX())
		self:setY(self.y + self:getY())
		if (self.count == 10)	 then 
			if (self.selected == 1) then
				self.kanat[1]:setVisible(false)
				self.kanat[2]:setVisible(true)
				self.selected = 2
			else
				self.kanat[1]:setVisible(true)
				self.kanat[2]:setVisible(false)
				self.selected = 1
			end	
			self.count = 0
		end	
		self.count = self.count +1
		
		if (self.scale1 < self.scale2) then
			self.scale1 = self.scale1 + 0.001
			self:setScaleX(self.scale1)
			self:setScaleY(self.scale1)
		end
		
		if (self.count1 == 20) then
			self.x = 2 *  math.sin(self.t) - 1
			self.y =  self.t * self.t / 100 - 2 *  math.cos(self.t) - 1
			self.count1 = 0
			self.t = self.t + 1
			
			if (self.t > 10) then
				self.animationOn = false
			end
		end
		
		self.count1 = self.count1 + 1
		if (self:getX() < 0) then self:setX(760) end
		if (self:getY() < 0) then self:setY(950) end	
	end
end

function Kelebek:onMouseDown(event)
	if (self:hitTestPoint(event.x, event.y) == true) then
		self.animationOn = true
		self.t = 0

		local channel = self.sound:play()	
		channel:setVolume(0.4)
		if (self:getX() < 0) then self:setX(760) end
		if (self:getY() < 0) then self:setY(950) end
		
	end	
end